Bug 976466 - Missing validator for Work Item Definition asset
Missing validator for Work Item Definition asset
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: manstis
Sona Mala
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 11:48 EDT by Sona Mala
Modified: 2014-08-06 16:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing the validator for Work Item Definition asset. Consequence: If a user creates an invalid Work Item Definition, then the Designer does not show the validator as a service task in the Shape Repo. Fix: Validation of assets, including Work Item Definitions, has been added back. All assets are validated when saved (and errors reported in the Problems Panel). Result: The user can now validate an asset without saving it by clicking on a new "validate" button on the editor.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-06-20 11:48:06 EDT
Description of problem:
In BRMS 5.3, the WID's menu contains item "Validate". In BP(R)MS 6.0.0, this option is missing. 

If user create invalid WID, then Designer does not show this Service Task in the Shape Repo.

Version-Release number of selected component (if applicable):
6.0.0 (Beta3)
Comment 2 manstis 2013-07-24 10:21:03 EDT
Validation of assets, including Work Item Definitions, has been added back. All assets are validated when saved (and errors reported in the Problems Panel). Furthermore the user can validate an asset without saving it by clicking on a new "validate" button on the editor. Setting to MODIFIED.
Comment 4 Sona Mala 2013-08-29 09:19:15 EDT
Verified for ER2.
Comment 8 Kanchan Desai 2013-10-28 13:32:58 EDT
Hi Sona,

Doc Text has been added. Can you please review the CCFR.

Note You need to log in before you can comment on or make changes to this bug.